POST
/
v2
/
outbound
/
sends
Create an immediate or scheduled outbound WhatsApp send
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/outbound/sends \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7070",
  "group_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
  ],
  "idempotency_key": "frontend-outbound-018f06e2"
}
'
{
  "status": "accepted",
  "schedule": {
    "status": "accepted",
    "schedule_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7200",
    "workflow_id": "outbound:text-send-schedule:018f06e2-4f8d-7c01-8a0d-cc6fd78f7200",
    "next_run_at_ms": 1777809600000,
    "interval_ms": 86400000,
    "max_occurrences": 5
  },
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

session_id
string<uuid>
required

WORKING sending session id. Receiving sessions cannot be used for outbound sends.

group_ids
string<uuid>[]
required

Internal group ids from /v2/groups that are present in the selected sending session.

Required array length: 1 - 100 elements
idempotency_key
string
required
Required string length: 1 - 200
text
string

Text body for a text send, or image caption when media is present. Required when media is omitted.

Maximum string length: 4096
media
object[]

Image media URLs to send with the message. At least text, media or multipart files must be provided.

Maximum array length: 10
schedule
object
Example:
{
"first_run_at_ms": 1777809600000,
"interval_ms": 3600000,
"max_occurrences": 3
}

Response

Send command accepted.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted
request_id
string
required
send
object
Example:
{
"status": "accepted",
"send_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7100",
"event_ids": ["018f06e2-4f8d-7c01-8a0d-cc6fd78f7102"],
"results": [
{
"recipient_send_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7101",
"group_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7300",
"ok": true,
"status": "queued"
}
],
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
schedule
object